diff --git a/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/AbstractDevToolsIntegrationTests.java b/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/AbstractDevToolsIntegrationTests.java
index 41679ecbe07..80848cac560 100644
--- a/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/AbstractDevToolsIntegrationTests.java
+++ b/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/AbstractDevToolsIntegrationTests.java
@@ -65,7 +65,7 @@ void stopApplication() throws InterruptedException {
 	}
 
 	protected int awaitServerPort() throws Exception {
-		int port = Awaitility.waitAtMost(Duration.ofSeconds(30))
+		int port = Awaitility.waitAtMost(Duration.ofMinutes(3))
 				.until(() -> new ApplicationState(this.serverPortFile, this.launchedApplication),
 						ApplicationState::hasServerPort)
 				.getServerPort();
diff --git a/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/RemoteApplicationLauncher.java b/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/RemoteApplicationLauncher.java
index 5f6692c624d..8fbd4168ffb 100644
--- a/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/RemoteApplicationLauncher.java
+++ b/spring-boot-project/spring-boot-devtools/src/intTest/java/org/springframework/boot/devtools/tests/RemoteApplicationLauncher.java
@@ -101,7 +101,7 @@ private String createRemoteSpringApplicationClassPath(File classesDirectory) thr
 	}
 
 	private int awaitServerPort(LaunchedJvm jvm, File serverPortFile) throws Exception {
-		return Awaitility.waitAtMost(Duration.ofSeconds(60))
+		return Awaitility.waitAtMost(Duration.ofMinutes(3))
 				.until(() -> new ApplicationState(serverPortFile, jvm), ApplicationState::hasServerPort)
 				.getServerPort();
 	}
@@ -109,7 +109,7 @@ private int awaitServerPort(LaunchedJvm jvm, File serverPortFile) throws Excepti
 	private void awaitRemoteSpringApplication(LaunchedJvm launchedJvm) throws Exception {
 		FileContents contents = new FileContents(launchedJvm.getStandardOut());
 		try {
-			Awaitility.waitAtMost(Duration.ofSeconds(30)).until(contents::get,
+			Awaitility.waitAtMost(Duration.ofMinutes(3)).until(contents::get,
 					containsString("Started RemoteSpringApplication"));
 		}
 		catch (ConditionTimeoutException ex) {
